Subject: Re: bug#75886: 31.0.50; read-multiple-choice / read-key and input-decode-map

From: Gerd Möllmann <[email-masked]>
Date: Mon, 03 Feb 2025 06:03:49 +0100

Stefan Monnier <[email-masked]> writes:

>
>>> Without input-decode-map for C-g.
>>> 
>>> #+begin_src emacs-lisp
>>>   (read-key) ;; press C-g
>>>   => Quit
>>> #+end_src
>
> That's not what I see here.  I get 7 (aka `C-g`) in an `emacs -Q`.

Right, sorry. I corrected that else-mail.

>
>> This is a dark corner in Emacs, so I'm adding Stefan to the discussion
>> in the hope that he might have comments and ideas to suggest.
>
> Indeed `C-g` is handled (read: hard coded) at a very low-level.

In light of input-decode-map, it seems to me that using read-event is
always wrong. Should read-event be deprecated, maybe?

Should read-key be changed to signal quit? I find it a bit strange that
one can write Lisp that one cannot C-g out.